Bug 238991 - Anaconda does not occupy the whole screen.
Anaconda does not occupy the whole screen.
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
: 237638 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-05-04 07:28 EDT by Debarshi Ray
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-04 10:30:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Debarshi Ray 2007-05-04 07:28:47 EDT
Description of problem:

While using the Fedora 7 test 4 i386 DVD for installation in graphical mode,
Anaconda does not occupy the entire screen area. Instead it appears as a
rectangle in the centre of the TFT monitor and the remaining is covered with
black and white dots.

A similar problem is encountered with Fedora Core 6 i386 DVD, when Anaconda
appears as a rectangle in the top left corner of the screen and the rest of the
space remains black.

Version-Release number of selected component (if applicable):

How reproducible:


Steps to Reproduce:

1. Insert the DVD and boot from it.
2. Select the graphical installation option from the menu and proceed.

Actual results:

The Anaconda window is a rectangular window in the centre of the screen and does
not cover the entire area.

Expected results:

The Anaconda window should have been maximized so as to cover the entire screen.

Additional info:

Here is my hardware profile on Smolt:
Comment 1 Jeremy Katz 2007-05-04 10:30:28 EDT
We try to start up in 800x600, but some LCDs really would rather run in their
native resolution.  We don't change the size of the anaconda window because
there are some things which are (unfortunately) a little dependent on the way
the screen is laid out and going to a larger window would break them.
Comment 2 Adam Jackson 2007-05-07 12:39:19 EDT
Except in this case, where the randr 1.2 code goes out of its way to ignore you
when you ask for 800x600.
Comment 3 Debarshi Ray 2007-05-07 12:51:38 EDT
> We try to start up in 800x600, but some LCDs really would rather run in their
> native resolution.

In older versions of Fedora (eg., FC2, FC3) Anaconda used to occupy the entire
screen. So was it so that in those days 800x600 was not a requirement for Anaconda?
Comment 4 Michael Wiktowy 2007-05-07 13:25:20 EDT
I suspect in those days xrandr didn't exist and some other more primitive and
less capable method of resolution switching was done (that happened to work in
your case but had complications in others). It looks like the bugs are getting
shaken out.
Comment 5 Adam Jackson 2007-05-21 17:27:18 EDT
*** Bug 237638 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.